import { LocalizedVenueMedia } from './utils/cms';
interface IVenueId {
    venue: string;
}
export declare function useCms<T>(id: string, intervalSeconds?: number, withLocalStorage?: boolean, baseUrl?: string, tenant?: string): {
    value: T | null;
    isError: boolean;
    isLoading: boolean;
};
export declare function useCmsInConfigContext<T>({ id, intervalSeconds, withLocalStorage, }: {
    id: string;
    intervalSeconds?: number;
    withLocalStorage?: boolean;
}): {
    value: T | null;
    isError: boolean;
    isLoading: boolean;
};
export declare function useVenueCms<T extends IVenueId>(id: string, intervalSeconds?: number, withLocalStorage?: boolean, baseUrl?: string, tenant?: string, venue?: string): {
    value: T | null;
    isError: boolean;
};
export declare function useLocalizedVenueMedia(id: string, venue: string, locale: string, intervalSeconds?: number, withLocalStorage?: boolean): {
    isError?: boolean;
    url: string | null;
    fallbackUrl: string | null;
    mediaType?: LocalizedVenueMedia['mediaType'];
};
interface KioskMedia {
    introScreen: LocalizedVenueMedia[];
    orderStartScreen: LocalizedVenueMedia[];
    inactiveScreen: LocalizedVenueMedia[];
    disabledScreen: LocalizedVenueMedia[];
}
export declare function useKioskMediaCms({ kioskMediaId, kioskMediaType, intervalSeconds, withLocalStorage, baseUrl, tenant, venue, locale, }: {
    kioskMediaId: string;
    kioskMediaType: keyof KioskMedia;
    intervalSeconds?: number;
    withLocalStorage?: boolean;
    baseUrl: string;
    tenant: string;
    venue: string;
    locale: string;
}): {
    url: string | null;
    fallbackUrl: string | null;
    mediaType: "IMAGE" | "VIDEO" | undefined;
    isError: boolean;
    isLoading: boolean;
};
export declare function useKioskMediaCmsWithContext({ kioskMediaId, kioskMediaType, venue, intervalSeconds, withLocalStorage, }: {
    kioskMediaId: string;
    kioskMediaType: keyof KioskMedia;
    venue: string;
    intervalSeconds?: number;
    withLocalStorage?: boolean;
}): {
    url: string | null;
    fallbackUrl: string | null;
    mediaType: "IMAGE" | "VIDEO" | undefined;
    isError: boolean;
    isLoading: boolean;
};
export {};
//# sourceMappingURL=useCms.d.ts.map